
Redmine - Feature #5686

Allow to hide custom fields based on value of core fields (status)

2010-06-14 14:05 - Maxim Nikolaevich

Status: New Start date: 2010-06-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

For example in this tracker i don't need to see "resolution" field when i create task.

i need "resolution" field only in time "resolved" status.

also i need to make "resolution" field required field in this status (now it's possible to do that in all status only - but in new status this

field does not required...)

P.S. This issue is main reason why i can't use many custom fields in my project.

History

#1 - 2010-08-03 23:10 - Sam Hartsfield

Appears to be related to #1917 and #1171, though this one also mentions hiding the field until it's required.

I pretty much care about the resolution field, and I wouldn't mind if that were a default field.

#2 - 2011-03-23 11:33 - Toshi MARUYAMA

- Category set to Custom fields

#3 - 2011-11-22 00:03 - Maxim Nikolaevich

Can anybody to set relations between of issues?

#4 - 2011-11-22 04:29 - Mischa The Evil

Maxim Nikolaevich wrote:

Can anybody to set relations between of issues?

 I don't think it's related in such a way that it's worth these two issue relations.

#5 - 2013-01-27 04:57 - Mischa The Evil

- Subject changed from Allow hide some custom field in various status of task to Allow to hide custom fields based on value of core fields (status)

Requested on forum: Is there a way to configure the issue fields become visib....
